local lights = {
    "A007AA",
    "A962BO",
    "AE989A",
    "B888BB",
    "E001KX",
    "E878KX",
    "M676OX",
    "O000OO",
    "P112OK",
    "T151HT",
    "X555OX",
    "X666XX",
    "X777XX",
    "Not Nomer",
}
local shaders = {}

local currentLight = "high quality"
local drawLights = true

addEventHandler("onClientResourceStart",resourceRoot,
    function ()
        currentLight = getCookieOption("lights") or "high quality"
        setElementData(localPlayer,"vehiclelight",currentLight,true)
        if getCookieOption("draw") ~= "false" then
            for i,vehicle in ipairs (getElementsByType("vehicle")) do
                loadVehicleLights(vehicle)
            end
        end
    end
)

addEventHandler("onClientElementStreamIn",root,
    function ()
        if getElementType(source) == "vehicle" then
            loadVehicleLights(source)
        end
    end
)

addEventHandler("onClientVehicleEnter",root,
    function ()
        loadVehicleLights(source)
    end
)       

function loadVehicleLights (vehicle)
    local controller = getVehicleController(vehicle)
    if not controller then return end
    engineApplyShaderToWorldTexture(shaders[image],"Nomer",vehicle)
    engineApplyShaderToWorldTexture(shaders[image],"Plates",vehicle)
    engineApplyShaderToWorldTexture(shaders[image],"Num",vehicle)
    engineApplyShaderToWorldTexture(shaders[image],"Plate",vehicle) -- needs messing with alpha
end


addEventHandler("onClientElementDataChange",root,
    function (key,oldvalue)
        if key == "vehiclelight" then
            local vehicle = getPedOccupiedVehicle(source)
            if vehicle then
                loadVehicleLights(vehicle)
            end
        end
    end
)

--GUI:
function startGui ()
    lightsWindow = guiCreateWindow (200, 70, 400, 450, " .", false)
    guiSetAlpha (lightsWindow, 1)
    guiWindowSetSizable (lightsWindow, false)
    guiCreateLabel (15, 40, 380, 20, ":", false, lightsWindow)
    guiCreateLabel (15, 140, 380, 20, " :", false, lightsWindow)
    
    lightsComboBox = guiCreateComboBox (25, 60, 350, 160, "", false, lightsWindow)
    for i,light in ipairs (lights) do
        local id = guiComboBoxAddItem (lightsComboBox,light)
        if light == currentLight then
            guiComboBoxSetSelected(lightsComboBox,id)
        end
    end
    addEventHandler("onClientGUIComboBoxAccepted",lightsComboBox,changeLights)

    drawlightsCheckBox = guiCreateCheckBox (15, 90, 380, 20, "", true, false, lightsWindow)

    previewStaticImage = guiCreateStaticImage (25, 160, 350, 220, "images/"..currentLight..".jpg", false, lightsWindow)

    local saveChangesButton = guiCreateButton (25, 400, 150, 30, "", false, lightsWindow)
    local closeWindowButton = guiCreateButton (225, 400, 150, 30, "", false, lightsWindow)
    addEventHandler("onClientGUIClick",saveChangesButton,saveChanges,false)
    addEventHandler("onClientGUIClick",closeWindowButton,closeWindow,false)
end

addCommandHandler ("nomer",
    function ()
        if lightsWindow then
            guiSetVisible(lightsWindow,not guiGetVisible(lightsWindow))
            showCursor(guiGetVisible(lightsWindow))
        else
                    showCursor (true)
            startGui()
        end
end, false)